From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/djvu/
Date: Tue, 4 May 2021 12:42:41 +0000 (UTC) [thread overview]
Message-ID: <1620132107.c6be280f00da3f105fb2e9a2ec2e6ad43f1f6024.mjo@gentoo> (raw)
commit: c6be280f00da3f105fb2e9a2ec2e6ad43f1f6024
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue May 4 12:34:22 2021 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue May 4 12:41:47 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6be280f
app-text/djvu: move inkscape and librsvg into BDEPEND.
The "inkscape" and "rsvg-convert" commands are run at build-time to
generate icons; thus they belong in BDEPEND. This commit moves them
there from DEPEND. Done in a new unstable revision because it isn't
very important to anyone who has already installed a stable version.
Closes: https://bugs.gentoo.org/788073
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
app-text/djvu/djvu-3.5.28-r1.ebuild | 67 +++++++++++++++++++++++++++++++++++++
1 file changed, 67 insertions(+)
diff --git a/app-text/djvu/djvu-3.5.28-r1.ebuild b/app-text/djvu/djvu-3.5.28-r1.ebuild
new file mode 100644
index 00000000000..af3433f46f9
--- /dev/null
+++ b/app-text/djvu/djvu-3.5.28-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools desktop flag-o-matic optfeature xdg
+
+MY_P="${PN}libre-${PV#*_p}"
+DESCRIPTION="DjVu viewers, encoders and utilities"
+HOMEPAGE="http://djvu.sourceforge.net/"
+SRC_URI="http://downloads.sourceforge.net/djvu/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P%%.3}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+IUSE="debug doc jpeg tiff xml"
+
+RDEPEND="jpeg? ( virtual/jpeg:0 )
+ tiff? ( media-libs/tiff:0= )"
+DEPEND="${RDEPEND}"
+
+# inkscape/rsvg-convert are used to generate icons at build-time only
+BDEPEND="app-arch/unzip
+ || ( gnome-base/librsvg media-gfx/inkscape )"
+
+DOCS=( NEWS README )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ use debug && append-cppflags "-DRUNTIME_DEBUG_ONLY"
+
+ # We install all desktop files by hand.
+ econf \
+ $(use_enable xml xmltools) \
+ $(use_with jpeg) \
+ $(use_with tiff) \
+ --disable-desktopfiles
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+
+ use doc && dodoc -r doc
+
+ # Install desktop files.
+ cd desktopfiles || die
+ for i in {22,32,48,64}; do
+ insinto /usr/share/icons/hicolor/${i}x${i}/mimetypes
+ newins prebuilt-hi${i}-djvu.png image-vnd.djvu.png
+ done
+
+ insinto /usr/share/mime/packages
+ doins djvulibre-mime.xml
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "djviewer or browser plugin" app-text/djview
+}
next reply other threads:[~2021-05-04 12:42 UTC|newest]
Thread overview: 48+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-04 12:42 Michael Orlitzky [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-10-09 20:02 [gentoo-commits] repo/gentoo:master commit in: app-text/djvu/ Sam James
2023-10-09 6:18 Sam James
2023-10-09 5:54 Sam James
2023-10-09 4:46 Sam James
2023-10-09 4:46 Sam James
2023-10-09 4:36 Sam James
2023-07-07 21:53 Conrad Kostecki
2022-05-17 7:56 WANG Xuerui
2022-04-17 18:32 Sam James
2021-06-25 1:33 Yixun Lan
2021-06-16 15:40 Sergei Trofimovich
2021-06-14 9:15 Agostino Sarubbo
2021-06-13 12:38 Sam James
2021-06-13 11:12 Sam James
2021-06-13 11:12 Sam James
2021-06-13 11:12 Sam James
2021-06-13 11:12 Sam James
2021-02-16 12:30 Sam James
2021-02-15 10:48 Sam James
2021-02-14 14:53 Sam James
2021-02-13 11:07 Sergei Trofimovich
2021-02-12 13:48 Sam James
2021-02-12 9:57 Sam James
2021-02-11 7:55 Sam James
2021-02-11 7:54 Sam James
2021-01-12 16:49 Sam James
2021-01-12 15:50 Sam James
2020-06-28 20:54 Aaron Bauman
2020-06-28 20:54 Aaron Bauman
2020-06-22 18:23 Sergei Trofimovich
2020-06-20 13:48 Thomas Deutschmann
2020-06-17 7:07 Agostino Sarubbo
2020-06-15 15:27 Agostino Sarubbo
2020-06-15 15:12 Agostino Sarubbo
2020-06-15 15:08 Agostino Sarubbo
2020-06-15 15:03 Agostino Sarubbo
2020-06-13 9:35 Mikle Kolyada
2019-11-12 7:01 Michał Górny
2018-04-20 20:37 David Seifert
2018-04-18 6:44 Mart Raudsepp
2017-12-15 23:21 Sergei Trofimovich
2017-12-13 19:53 Sergei Trofimovich
2017-10-23 18:01 Markus Meier
2017-10-02 11:58 Sergei Trofimovich
2017-09-30 7:18 Sergei Trofimovich
2017-09-30 4:48 Michael Palimaka
2015-10-27 11:11 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1620132107.c6be280f00da3f105fb2e9a2ec2e6ad43f1f6024.mjo@gentoo \
--to=mjo@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox